Description

Hi guys,

| had the same problem of issue #19544, but my was with the fixed version column, in version 3.2.1 with SQL Server 2012, and this
r14207 did not solve my problem.

making a debug in the code, | found that the part where it should make a flatten between two Array, the variable
group_by_sort_order comes as String, so | did a treatment to make this String into Array, and solved my problem.

code modified in /app/models/issue_query.rb

# Returns the issues
# Valid options are :order, :offset, :1limit, :include, :conditions
def issues (options={})
if group_by_sort_order.is_a? (String)
# convert String in Array

order_option = [group_by_sort_order.split(','), options[:order]].flatten.reject (&:blank?)
else

order_option = [group_by_sort_order, options[:order]].flatten.reject (&:blank?)
end

Associated revisions

Revision 15416 - 2016-05-16 09:03 - Jean-Philippe Lang
Malformed SQL query with SQLServer when grouping and sorting by fixed version (#22808).

Revision 15419 - 2016-05-21 08:50 - Jean-Philippe Lang
Merged r15416 (#22808).

Revision 15420 - 2016-05-21 08:50 - Jean-Philippe Lang
Merged r15416 (#22808).

History

#1 - 2016-05-12 18:43 - Toshi MARUYAMA

- Target version set to 3.1.6

#2 - 2016-05-12 18:44 - Toshi MARUYAMA

- Description updated

#3 - 2016-05-16 09:03 - Jean-Philippe Lang

- Subject changed from Malformed SQL query with SQLServer when grouping fixed versions to Malformed SQL query with SQLServer when grouping
and sorting by fixed version

- Status changed from New to Resolved

- Assignee set to Jean-Philippe Lang
https://www.redmine.org/issues/19544
https://www.redmine.org/projects/redmine/repository/svn/revisions/14207

- Resolution set to Fixed

Fixed in r15416.

#4 - 2016-05-21 08:50 - Jean-Philippe Lang

- Status changed from Resolved to Closed
